!set title=Decimales relativos I
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
author=XIAO, Gang
email=xiao@unice.fr

ansorder=r,r,r,r,r,r,r,r
varcnt=30
prevarcnt=29
postvarcnt=0
replycnt=8
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=randint
val7=45x30
tmp0=!values x/10 for x=1 to 99

val8=$(tmp0)
val9=números
val10=Números
!if $val2>=3 and $val2<=8 
val11=$[rint($val2)]
!else
val11=$[rint(4)]
!endif
tmp0=!randitem 1,2

val12=$[rint($(tmp0))]
!if $val3=2 
val12=$[rint(1)]
!endif
!if $val3=3 
val12=$[rint(2)]
!endif
tmp0=!item $val12 of <,>

val13=$(tmp0)
tmp0=!item $val12 of ,reverse

val14=$(tmp0)
val15=menor,mayor
val16=creciente, decreciente
tmp0=!nonempty items $val8

val8=$(tmp0)
val17=$[rint(($val11+3)/2)]
tmp0=!shuffle $val8

val18=$(tmp0)
tmp0=!replace , by ,- in -$val8

tmp1=!shuffle $(tmp0)

val19=$(tmp1)
val8=$(val18[1..$val17]),$(val19[1..$val17])
tmp0=!shuffle $val8

val8=$(tmp0)

!ifval $val12=1
tmp0=!sort numeric items $(val8[1..$val11])

val8=$(tmp0)
!else
tmp1=!sort reverse numeric items $(val8[1..$val11])

val8=	        $(tmp1)	
!endif
val20=
!if $val9 iswordof fraction 
tmp0=!replace internal / by \over in $val8

val8=$(tmp0)
!for val21 =1 to $val11 
tmp0=!append item \({$(val8[$val21])}) to $val20

val20=$(tmp0)
val22=es
!next
!else
!for val21 =1 to $val11 
tmp0=!append item \($(val8[$val21])) to $val20

val20=$(tmp0)
!next
!endif
tmp0=!item 1 to $val11 of r1,r2,r3,r4,r5,r6,r7,r8

val23=$(tmp0)
oefsteps=$val23 
nextstep=!nosubst $val23 
!readproc oef/steps.proc
replytype1=dragfill
replyname1=$val10 1
replygood1=$(val20[1])
replytype2=dragfill
replyname2=$val10 2
replygood2=$(val20[2])
replytype3=dragfill
replyname3=$val10 3
replygood3=$(val20[3])
replytype4=dragfill
replyname4=$val10 4
replygood4=$(val20[4])
replytype5=dragfill
replyname5=$val10 5
replygood5=$(val20[5])
replytype6=dragfill
replyname6=$val10 6
replygood6=$(val20[6])
replytype7=dragfill
replyname7=$val10 7
replygood7=$(val20[7])
replytype8=dragfill
replyname8=$val10 8
replygood8=$(val20[8])
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Ordenar los/las $val9 de abajo en orden $(val16[$val12]), de $(val15[$val12])	a $(val15[3-$val12]).	<p><center>	<table border=0><tr>	<td> 
!read oef/embed.phtml r1,$val7 
$()<td>	 
!for m_t=2 to $val11 
$()	 <td> $val13 <td> 
!read oef/embed.phtml $(val23[$m_t]),$val7 
$()	 
!next
$()	</table></center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,9,11,12,13,15,16,23
embedcnt=2
